# Module std::os::wasi::fs[−][src]

🔬 This is a nightly-only experimental API. (`wasi_ext`)
This is supported on WASI only.

WASI-specific extensions to primitives in the `std::fs` module.

## Traits

DirEntryExt | Experimental WASI-specific extension methods for `fs::DirEntry`.
FileExt | Experimental WASI-specific extensions to `File`.
FileTypeExt | Experimental WASI-specific extensions for `fs::FileType`.
MetadataExt | Experimental WASI-specific extensions to `fs::Metadata`.
OpenOptionsExt | Experimental WASI-specific extensions to `fs::OpenOptions`.

## Functions

link | Experimental Create a hard link.
rename | Experimental Rename a file or directory.
symlink | Experimental Create a symbolic link.
symlink_path | Experimental Create a symbolic link.